## org.apache.batik.gvt.renderer
Class BasicTextPainter.BasicMark

    java.lang.Object
      org.apache.batik.gvt.renderer.BasicTextPainter.BasicMark

All Implemented Interfaces:
  Mark

Enclosing class:
  BasicTextPainter

    protected static class BasicTextPainter.BasicMark

extends java.lang.Object
implements Mark

This TextPainter's implementation of the Mark interface.

Constructor Summary
`protected` `BasicTextPainter.BasicMark(TextNode node, TextHit hit)` Constructs a new Mark with the specified parameters.

Method Summary
`int` `getCharIndex()` Returns the index of the character that has been hit.
`TextHit` `getHit()`
`TextNode` `getTextNode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTextPainter.BasicMark

    protected BasicTextPainter.BasicMark(TextNode node,
                                         TextHit hit)

  Constructs a new Mark with the specified parameters.

Method Detail

### getHit

    public TextHit getHit()

### getTextNode

    public TextNode getTextNode()

  Specified by:
    `getTextNode` in interface `Mark`

### getCharIndex

    public int getCharIndex()

  Returns the index of the character that has been hit.

  Specified by:
    `getCharIndex` in interface `Mark`
  Returns:
    The character index.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.